image: docker:edge

services:
    - docker:edge-dind

before_script:
    - mkdir -p "${HOME}/.docker"
    - echo '{"experimental":"enabled"}' > "${HOME}/.docker/config.json"
    - rm -rf "${HOME}/.docker/manifests"
    - docker login -u "${REGISTRY_USER}" -p "${REGISTRY_TOKEN}"

stages:
    - manifests

.manifests_template: &manifests_template
    stage: manifests
    script:
    - REPOSITORY="nvidia/${CI_JOB_NAME}"
    - apk add --no-cache ca-certificates curl jq bash
    - ./manifests.sh "${REPOSITORY}" "${ARCHS}"

k8s-device-plugin:
    variables:
        ARCHS: "amd64 ppc64le"
    <<: *manifests_template
